from django.urls import path
from trends.views import (
    ToggleTrendDisabledView,
    TrendDetailView,
    TrendListView,
)

app_name = "trends"

urlpatterns = [
    path("trends/", TrendListView.as_view(), name="trends-home"),
    path("trends/<slug:trend_slug>/", TrendDetailView.as_view(), name="trend-detail"),
    path(
        "trends/<slug:trend_slug>/toggle/",
        ToggleTrendDisabledView.as_view(),
        name="trend-toggle-disabled",
    ),
]
